org.apache.poi.sl.draw.binding

## Class CTPath2DArcTo

- java.lang.Object
- - org.apache.poi.sl.draw.binding.CTPath2DArcTo

-     public class CTPath2DArcTo
      extends java.lang.Object

  Java class for CT_Path2DArcTo complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CT_Path2DArcTo">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="wR" use="required" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_AdjCoordinate" />
             <attribute name="hR" use="required" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_AdjCoordinate" />
             <attribute name="stAng" use="required" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_AdjAngle" />
             <attribute name="swAng" use="required" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_AdjAngle" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `hr`
    `protected java.lang.String` | `stAng`
    `protected java.lang.String` | `swAng`
    `protected java.lang.String` | `wr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CTPath2DArcTo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getHR()` Gets the value of the hr property.
    `java.lang.String` | `getStAng()` Gets the value of the stAng property.
    `java.lang.String` | `getSwAng()` Gets the value of the swAng property.
    `java.lang.String` | `getWR()` Gets the value of the wr property.
    `boolean` | `isSetHR()`
    `boolean` | `isSetStAng()`
    `boolean` | `isSetSwAng()`
    `boolean` | `isSetWR()`
    `void` | `setHR(java.lang.String value)` Sets the value of the hr property.
    `void` | `setStAng(java.lang.String value)` Sets the value of the stAng property.
    `void` | `setSwAng(java.lang.String value)` Sets the value of the swAng property.
    `void` | `setWR(java.lang.String value)` Sets the value of the wr property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wr

          protected java.lang.String wr

    - #### hr

          protected java.lang.String hr

    - #### stAng

          protected java.lang.String stAng

    - #### swAng

          protected java.lang.String swAng

  - ### Constructor Detail

    - #### CTPath2DArcTo

          public CTPath2DArcTo()

  - ### Method Detail

    - #### getWR

          public java.lang.String getWR()

      Gets the value of the wr property.
      Returns:
        possible object is `String`

    - #### setWR

          public void setWR(java.lang.String value)

      Sets the value of the wr property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSetWR

          public boolean isSetWR()

    - #### getHR

          public java.lang.String getHR()

      Gets the value of the hr property.
      Returns:
        possible object is `String`

    - #### setHR

          public void setHR(java.lang.String value)

      Sets the value of the hr property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSetHR

          public boolean isSetHR()

    - #### getStAng

          public java.lang.String getStAng()

      Gets the value of the stAng property.
      Returns:
        possible object is `String`

    - #### setStAng

          public void setStAng(java.lang.String value)

      Sets the value of the stAng property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSetStAng

          public boolean isSetStAng()

    - #### getSwAng

          public java.lang.String getSwAng()

      Gets the value of the swAng property.
      Returns:
        possible object is `String`

    - #### setSwAng

          public void setSwAng(java.lang.String value)

      Sets the value of the swAng property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSetSwAng

          public boolean isSetSwAng()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.